## WebKitDOMText

WebKitDOMText

## Functions

WebKitDOMText * | webkit_dom_text_split_text ()
WebKitDOMText * | webkit_dom_text_replace_whole_text ()
gchar * | webkit_dom_text_get_whole_text ()

## Properties

gchar * | whole-text | Read

## Types and Values

| WebKitDOMText

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMCharacterData
                    ╰── WebKitDOMText
                        ╰── WebKitDOMCDATASection

## Implemented Interfaces

WebKitDOMText implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_text_split_text ()

    WebKitDOMText *
    webkit_dom_text_split_text (WebKitDOMText *self,
                                gulong offset,
                                GError **error);

#### Parameters

self | A WebKitDOMText |
offset | A gulong |
error | GError |

#### Returns

A WebKitDOMText.

[transfer none]

### webkit_dom_text_replace_whole_text ()

    WebKitDOMText *
    webkit_dom_text_replace_whole_text (WebKitDOMText *self,
                                        const gchar *content,
                                        GError **error);

#### Parameters

self | A WebKitDOMText |
content | A gchar |
error | GError |

#### Returns

A WebKitDOMText.

[transfer none]

### webkit_dom_text_get_whole_text ()

    gchar *
    webkit_dom_text_get_whole_text (WebKitDOMText *self);

#### Parameters

self | A WebKitDOMText |

#### Returns

A gchar

## Types and Values

### WebKitDOMText

    typedef struct _WebKitDOMText WebKitDOMText;

## Property Details

### The `“whole-text”` property

      “whole-text”               gchar *

read-only gchar* Text:whole-text.

Flags: Read

Default value: ""